
Summary: Personal finance 
Name:    kmymoney
Version: 4.7.1
Release: 5%{?dist}

# kmm itself is GPLv2+ 
# bundled kdchart is GPLv2 or GPLv3, but currently not using it
License: GPLv2+
Url:     http://kmymoney2.sourceforge.net/
Source0: http://download.kde.org/stable/kmymoney/%{version}/src/kmymoney-%{version}.tar.xz

## upstreamable patches

## upstream patches

BuildRequires: boost-devel
BuildRequires: cppunit-devel
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: gettext
BuildRequires: gpgme-devel
BuildRequires: gmp-devel
BuildRequires: kdchart-devel
BuildRequires: kdelibs4-devel >= 4.7.0
BuildRequires: kdepimlibs-devel
%if 0%{?fedora} > 19
BuildRequires: libappstream-glib
%endif
BuildRequires: pkgconfig(aqbanking) >= 5.0
BuildRequires: pkgconfig(libalkimia)
BuildRequires: pkgconfig(libical)
BuildRequires: pkgconfig(libofx)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libxml++-2.6)
BuildRequires: pkgconfig(glibmm-2.4)

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%{?kde_runtime_requires}
%{!?kde_runtime_requires:Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}}

Obsoletes: kmymoney2 < 2
Provides:  kmymoney2 = %{version}-%{release}

Obsoletes: kmymoney2-aqbanking < 2
Provides:  kmymoney2-aqbanking = %{version}-%{release} 

%description
KMyMoney strives to be the best personal finance manager.
The ultimate objectives of KMyMoney are...
* Accuracy.  Using time tested double entry accounting principles 
  helps ensure that your finances are kept in correct order.
* Ease of use.  Strives to be the easiest open source personal
  finance manager to use, especially for the non-technical user.
* Familiar Features.  Intends to provide all important features
  found in the commercially-available, personal finance managers.

%package libs
Summary: Run-time libraries for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: kmymoney2-libs < 2
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
Obsoletes: kmymoney2-devel < 2
%description devel
%{summary}.

%package doc
Summary: Application handbook, documentation, translations
# for upgrade path
Obsoletes: kmymoney < 4.6.3
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch
%description doc
%{summary}.


%prep
%setup -q -n kmymoney-%{version}

## kdchart munging begin
sed -i.kdchart -e 's|add_subdirectory( libkdchart )|#add_subdirectory( libkdchart )|' CMakeLists.txt
sed -i.kdchart -e 's|kmm_kdchart|kdchart|' kmymoney/CMakeLists.txt
mv libkdchart libkdchart.kdchart
mkdir libkdchart
ln -s /usr/include/KDChart libkdchart/include
ln -s /usr/include/kdchart libkdchart/kdchart
## kdchart munging end


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kmymoney --with-kde --without-mo && mv kmymoney.lang kmymoney-doc.lang
%find_lang kmymoney 



%check 
appstream-util validate-relax --nonet %{buildroot}%{_kde4_datadir}/appdata/%{name}.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kmymoney.desktop
# make test


%post
touch --no-create %{_datadir}/icons/locolor &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_kde4_datadir}/mime ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/locolor &> /dev/null
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/locolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
touch --no-create %{_kde4_datadir}/mime ||:
update-mime-database %{?fedora:-n} %{_kde4_datadir}/mime &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/locolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
update-mime-database %{?fedora:-n} %{_kde4_datadir}/mime &> /dev/null || :

%files -f kmymoney.lang
%doc AUTHORS ChangeLog COPYING TODO
%doc README.Fileformats README.ofx
%{_kde4_bindir}/kmymoney
%{_kde4_appsdir}/kmymoney/
%{_kde4_appsdir}/kmm_*/
%{_kde4_appsdir}/kconf_update/kmymoney.upd
%{_kde4_configdir}/csvimporterrc
%{_kde4_datadir}/applications/kde4/kmymoney.desktop
%{_kde4_datadir}/config.kcfg/kmymoney.kcfg
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_datadir}/mime/packages/x-kmymoney.xml
%{_kde4_iconsdir}/locolor/*/*/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/appdata/%{name}.appdata.xml

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkmm_mymoney.so.4*
%{_kde4_libdir}/libkmm_plugin.so.4*
%{_kde4_libdir}/libkmm_widgets.so.4*

%files devel
%{_kde4_includedir}/kmymoney/
%{_kde4_libdir}/libkmm_*.so

%files doc -f kmymoney-doc.lang


%changelog
* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-5
- rebuild (kdchart)

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 4.7.1-4
- Rebuild for boost 1.57.0

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 4.7.1-3
- Rebuild for boost 1.57.0

* Sat Jan 24 2015 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- kde-apps fixes

* Mon Nov 03 2014 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- 4.7.1 (#1159491)

* Fri Oct 03 2014 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-1
- 4.7.0

* Fri Oct 03 2014 Rex Dieter <rdieter@fedoraproject.org> 4.6.6-4
- backport upstream appstreaam data from 4.7.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 03 2014 Rex Dieter <rdieter@fedoraproject.org> 4.6.6-2
- optimize mimeinfo scriptlet

* Mon Jun 23 2014 Rex Dieter <rdieter@fedoraproject.org> 4.6.6-1
- kmymoney-4.6.6

* Fri Jun 20 2014 Rex Dieter <rdieter@fedoraproject.org> 4.6.5-1
- kmymoney-4.6.5

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 4.6.4-5
- Rebuild for boost 1.55.0

* Fri Mar 14 2014 Rex Dieter <rdieter@fedoraproject.org> 4.6.4-4
- rebuild (kdchart)

* Thu Jan 16 2014 Bill Nottingham <notting@redhat.com> - 4.6.4-3
- rebuild (aqbanking)

* Mon Dec 16 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.4-2
- rebuild (kdchart)

* Sat Oct 05 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.4-1
- kmymoney-4.6.4

* Mon Sep 23 2013 Bill Nottingham <notting@redhat.com> - 4.6.3-13
- rebuild against new libofx

* Thu Aug 29 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-12
- Requires: kde-runtime (#1002429)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 4.6.3-10
- Rebuild for boost 1.54.0

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 4.6.3-9
- Perl 5.18 rebuild

* Sat Jun 29 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-8
- rebuild (calligra-kdchart)

* Fri May 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-7
- rebuild (libical)

* Wed Apr 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-6
- pull in a bunch of 4.6 branch fixes, in particular...
- 0020-Fix-build-with-GMP-5.1.0.patch

* Wed Apr 24 2013 Bill Nottingham <notting@redhat.com> 4.6.3-5
- rebuild (aqbanking)

* Mon Mar 04 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-4.2
- rebuild (calligra-kdchart)

* Mon Feb 04 2013 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-4
- Only american english language available (#902501)

* Wed Nov 07 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-3
- rebuild (calligra-kdchart)

* Fri Sep 21 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.3-2
- file conflicts between kmymoney and kmymoney-doc (#859495)

* Tue Sep 11 2012 Rex Dieter <rdieter@fedoraproject.org>
- 4.6.3-1
- kmymoney-4.6.3 
- -libs: Requires: kdelibs4 ...
- -doc subpkg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.2-3
- rebuild (libofx)

* Sun Jun 17 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.2-2
- rebuild (kdchart)

* Sat Mar 03 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.2-1.1
- rebuild (calligra/kdchart)

* Sun Feb 19 2012 Rex Dieter <rdieter@fedoraproject.org> 4.6.2-1
- 4.6.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.1-1
- 4.6.1

* Wed Nov 02 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-2
- rebuild (gmp)

* Sun Aug 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.0-1
- 4.6.0
- use more pkgconfig-type build deps

* Thu Feb 17 2011 Rex Dieter <rdieter@fedoraproject.org> 4.5.3-1.1
- BR: aqbanking-devel >= 5.0

* Sun Feb 13 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.5.3-1
- kmymoney-4.5.3

* Fri Feb 11 2011 Bill Nottingham <notting@redhat.com> - 4.5.2-4
- rebuild against aqbanking5

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Rex Dieter <rdieter@fedoraproject.org> 4.5.2-2
- rework/simplify rpath patch
- hicolor_icons patch

* Mon Jan 03 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-1
- kmymoney-4.5.2

* Fri Nov 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.1-1
- kmymoney-4.5.1

* Tue Nov 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5-2
- rebuild (kdchart)

* Mon Aug 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5-1
- kmymoney-4.5

* Sun May 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.98.0-1
- kmymoney-3.98.0

* Wed Apr 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.97.2-1
- kmymoney-3.97.2
- License: GPLv2 or GPLv3
- omit .directory files from packaging
- -debuginfo: fix world-writable perms in generated headers 

* Fri Apr 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.97.0-1
- kmymoney-3.97.0
- use external/shared kdchart

* Fri Mar 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 3.96.1-1
- kmymoney-3.96.1 (for kde4, beta)
- Obsoletes: kmymoney2 (and friends)

* Mon Feb 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0.3-1
- kmymoney2-1.0.3

* Thu Jan 21 2010 Bill Nottingham <notting@redhat.com> - 1.0.2-2
- rebuild against latest aqbanking/qbanking

* Sun Oct 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.2-1
- kmymoney2-1.0.2

* Sun Sep 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.1-1
- kmymoney2-1.0.1

* Wed Aug 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- kmymoney2-1.0.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.3-3
- validate .desktop file
- -libs unconditional
- use %%_isa where appropriate
- optimize scriptlets

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 24 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.3-1
- kmymoney2-0.9.3

* Mon Sep 15 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-3
- respun tarball 

* Sun Sep 14 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-1
- kmymoney2-0.9.2

* Tue Sep  9 2008 Bill Nottingham <notting@redhat.com> 0.9-2
- rebuild for new libofx ABI

* Wed May 14 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9-1
- kmymoney2-0.9

* Wed Mar 26 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8.9-1
- kmymoney2-0.8.9
- --disable-kbanking (requires aqbanking,kbanking fix/update)
- drop multilib upgrade hack

* Fri Feb 22 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8.8-3
- gcc43 patch (#434398)
- multiarch conflicts, -libs subpkg (#341821)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.8-2
- Autorebuild for GCC 4.3

* Wed Dec 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.8-1
- kmymoney2-0.8.8
- --enable-kbanking

* Sat Dec 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-5
- BR: kdelibs3-devel

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-4
- respin (BuildID)

* Thu Aug 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-3
- License: GPLv2+

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> 0.8.7-2
- Rebuild for RH #249435

* Mon Jul 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-1
- kmymoney2-0.8.7

* Sat Mar 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.6-1
- kmymoney2-0.8.6
- fix Obsoletes: kmymoney

* Thu Jan 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.5-3
- fix _enable_ofxbanking macro usage to re-enable ofx support

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.5-2
- drop desktop-file-utils bits
- Ob/Pr: kmymoney(-devel), upstream/rpmforge calls it kmymoney

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.5-1
- 0.8.5

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-2
- --disable-final (for now)
- BR: gettext

* Sun May 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-1
- 0.8.4

* Thu Apr 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-3
- desktop-file-install --vendor=""

* Wed Feb 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-1
- 0.8.3

* Fri Feb 10 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Sat Dec 31 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-1
- 0.8.2

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-7
- gcc41 patch

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-6
- cleanup ofx deps

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-5
- cleanup %%post
- fc5 respin for new(er) libofx

* Mon Nov 14 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-4
- relax BR: kdelibs-devel to 3.3 (for aurora/sparc, #173133)

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-3
- fix relative symlinks

* Wed Nov 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-2
- qt-3.3.5 patch
- 'make check' workaround (kde bug #115863)
- trim %%description

* Sat Nov 05 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-1
- 0.8.1

* Fri Nov 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-5
- drop useless macros
- use %%fedora,%%rhel to conditionalize ofxbanking support

* Fri Oct 21 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-4
- %%post,%%postun: gtk-update-icon-cache, update-desktop-database
- omit lib*.la
- x86_64: set QTDIR/QTLIB

* Thu Sep 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-3
- BR: libofx-devel

* Tue Aug 30 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-2
- simplify specfile
- fix build

* Fri Aug 12 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-1
- 0.8

